# InlineMessageIdCallbackQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.CallbackQuery / InlineMessageIdCallbackQuery

# InlineMessageIdCallbackQuery

(common) `interface InlineMessageIdCallbackQuery : CallbackQuery` (source)

### Properties

(common)

#### inlineMessageId

`abstract val inlineMessageId: InlineMessageIdentifier`

### Extension Functions

(common)

#### createAnswer

`fun CallbackQuery.createAnswer(text: String? = null, showAlert: Boolean? = null, url: String? = null, cachedTimeSeconds: Int? = null): AnswerCallbackQuery`

### Inheritors

(common)

#### InlineMessageIdDataCallbackQuery

`data class InlineMessageIdDataCallbackQuery : DataCallbackQuery, InlineMessageIdCallbackQuery`

(common)

#### InlineMessageIdGameShortNameCallbackQuery

`data class InlineMessageIdGameShortNameCallbackQuery : GameShortNameCallbackQuery, InlineMessageIdCallbackQuery`